Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class FileResourceBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
          com.jaspersoft.jasperserver.export.modules.repository.beans.FileResourceBean

    public class FileResourceBean

extends ResourceBean

A FileResource typically holds data (unless it in a "link" (isReference = true)). For these bean objects, they do not hold their own data. Instead, the data is written to disk. The stringURI field inherited from ResourceBean is uses to locate the data once it is time to import the bean objects back into JasperServer and recreate copies of the original java objects.

Field Summary
`static java.lang.String` | `DATA_PROVIDER_ID`

Constructor Summary
`FileResourceBean()`

Method Summary
`protected void` | `additionalCopyFrom(Resource res, ResourceExportHandler exportHandler)`
`protected void` | `additionalCopyTo(Resource res, ResourceImportHandler importHandler)`
`java.lang.String` | `getDataFile()`
`java.lang.String` | `getFileType()`
`java.lang.String` | `getReferenceUri()`
`void` | `setDataFile(java.lang.String dataFile)`
`void` | `setFileType(java.lang.String fileType)`
`void` | `setReferenceUri(java.lang.String referenceUri)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
`copyFrom, copyTo, getCreationDate, getDescription, getFolder, getLabel, getName, getPermissions, getVersion, handleReferences, handleReferences, setCreationDate, setDescription, setFolder, setLabel, setName, setPermissions, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_PROVIDER_ID

    public static final java.lang.String DATA_PROVIDER_ID

See Also:
  Constant Field Values

Constructor Detail

### FileResourceBean

    public FileResourceBean()

Method Detail

### additionalCopyFrom

    protected void additionalCopyFrom(Resource res,
                                      ResourceExportHandler exportHandler)

  Specified by:
    `additionalCopyFrom` in class `ResourceBean`

### additionalCopyTo

    protected void additionalCopyTo(Resource res,
                                    ResourceImportHandler importHandler)

  Specified by:
    `additionalCopyTo` in class `ResourceBean`

### getFileType

    public java.lang.String getFileType()

### setFileType

    public void setFileType(java.lang.String fileType)

### getReferenceUri

    public java.lang.String getReferenceUri()

### setReferenceUri

    public void setReferenceUri(java.lang.String referenceUri)

### getDataFile

    public java.lang.String getDataFile()

### setDataFile

    public void setDataFile(java.lang.String dataFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.